> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Warranty

> This endpoint deletes an existing warranty.

### Body

<ParamField body="warranty_id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ParamField>

### Response

<ResponseField name="id" type="string">
  The ID provided in the data tab may be used to identify the warranty
</ResponseField>

<ResponseField name="object" type="string">
  The object type
</ResponseField>

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash cURL theme={null}
  curl --location --request DELETE 'https://api.stateset.com/v1/warranty' \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Token <token>' \
  --data-raw '{
  		"id": "w_1NXWPnCo6bFb1KQto6C8OWvE"
  }'
  ```

  ```graphQL GraphQL theme={null}
        mutation deleteWarranty ($id: String!) {
          delete_warranties(where: {id: {_eq: $id}}) {
            affected_rows
          }
        }
  ```

  ```javascript Node.js theme={null}

  const deleted = await stateset.warranty.del(
    'w_1NXWPnCo6bFb1KQto6C8OWvE'
  );
  ```

  ```python Python theme={null}

  deleted = stateset.warranty.del(
    'w_1NXWPnCo6bFb1KQto6C8OWvE'
  )

  ```

  ```ruby Ruby theme={null}

  deleted = Stateset::Warranty.del(
    'w_1NXWPnCo6bFb1KQto6C8OWvE'
  )

  ```

  ```php PHP theme={null}

  $deleted = $stateset->warranty->del(
    'w_1NXWPnCo6bFb1KQto6C8OWvE'
  );

  ```

  ```go Go theme={null}

  Warranty, err := stateset.Warranty.Delete(
    'w_1NXWPnCo6bFb1KQto6C8OWvE'
  )

  ```

  ```java Java theme={null}

  Warranty warranties = stateset.warranties.del(
    "0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
  );

  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "id": "w_1NXWPnCo6bFb1KQto6C8OWvE",
    "object": "warranty",
    "deleted": true
  }

  ```
</ResponseExample>
